OpenJPEG: RAW - Implementation of operations for raw encoding

OpenJPEG 2.1.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Data Structures | Typedefs
RAW - Implementation of operations for raw encoding

## Data Structures
struct | opj_raw
| RAW encoding operations. More...

## Typedefs
typedef struct opj_raw | opj_raw_t
| RAW encoding operations. More...

## Exported functions
opj_raw_t * | opj_raw_create (void)
| Create a new RAW handle. More...
void | opj_raw_destroy (opj_raw_t *raw)
| Destroy a previously created RAW handle. More...
OPJ_UINT32 | opj_raw_numbytes (opj_raw_t *raw)
| Return the number of bytes written/read since initialisation. More...
void | opj_raw_init_dec (opj_raw_t *raw, OPJ_BYTE *bp, OPJ_UINT32 len)
| Initialize the decoder. More...
OPJ_UINT32 | opj_raw_decode (opj_raw_t *raw)
| Decode a symbol using raw-decoder. More...

## Detailed Description

## Typedef Documentation

typedef struct opj_raw opj_raw_t

RAW encoding operations.

## Function Documentation

opj_raw_t* opj_raw_create | ( | void |  | ) |

Create a new RAW handle.

Returns
  Returns a new RAW handle if successful, returns NULL otherwise

References opj_malloc.

Referenced by opj_t1_create().

OPJ_UINT32 opj_raw_decode | ( | opj_raw_t * | raw | ) |

Decode a symbol using raw-decoder.

Cfr p.506 TAUBMAN

Parameters

  raw | RAW handle

Returns
  Returns the decoded symbol (0 or 1)

References opj_raw::c, opj_raw::ct, opj_raw::len, opj_raw::lenmax, and opj_raw::start.

Referenced by opj_t1_dec_refpass_step_raw(), and opj_t1_dec_sigpass_step_raw().

void opj_raw_destroy | ( | opj_raw_t * | raw | ) |

Destroy a previously created RAW handle.

Parameters

  raw | RAW handle to destroy

References opj_free.

Referenced by opj_t1_destroy().

void opj_raw_init_dec | ( | opj_raw_t * | raw,
|  | OPJ_BYTE * | bp,
|  | OPJ_UINT32 | len
| ) |  |

Initialize the decoder.

Parameters

  raw | RAW handle
  bp | Pointer to the start of the buffer from which the bytes will be read
  len | Length of the input buffer

References opj_raw::c, opj_raw::ct, opj_raw::len, opj_raw::lenmax, and opj_raw::start.

Referenced by opj_t1_decode_cblk().

OPJ_UINT32 opj_raw_numbytes | ( | opj_raw_t * | raw | ) |

Return the number of bytes written/read since initialisation.

Parameters

  raw | RAW handle to destroy

Returns
  Returns the number of bytes already encoded

References opj_raw::bp, and opj_raw::start.